$offsets = {
   "0000-0003":{
      "Offset":"0000-0003",
      "Length":"0004",
      "Usage":"Entrance Index",
      "Info":"Stores the Entrance Link starts/respawns at."
   },
   "0004-0007":{
      "Offset":"0004-0007",
      "Length":"0004",
      "Usage":"Age",
      "Flags":{
         "0x0":"= Adult",
         "":"0x1 = Child"
      }
   },
   "0008-000B":{
      "Offset":"0008-000B",
      "Length":"0004",
      "Usage":"Cutscene Offset"
   },
   "000C-000D":{
      "Offset":"000C-000D",
      "Length":"0002",
      "Usage":"Time of Day"
   },
   "000E-001B":{
      "Offset":"000E-001B",
      "Length":"000E",
      "Usage":"?"
   },
   "001C-0021":{
      "Offset":"001C-0021",
      "Length":"0006",
      "Usage":"File Validation",
      "Info":"Contains the string \"ZELDAZ\". If different, the save will be considered corrupt even if the checksum is valid."
   },
   "0022-0023":{
      "Offset":"0022-0023",
      "Length":"0002",
      "Usage":"Death Counter",
      "Info":"The amount of times you've gotten a Game Over."
   },
   "0024-002B":{
      "Offset":"0024-002B",
      "Length":"0008",
      "Usage":"File Name"
   },
   "002C":{
      "Offset":"002C",
      "Length":"0001",
      "Usage":"Disk Drive Flag"
   },
   "002D":{
      "Offset":"002D",
      "Length":"0001",
      "Usage":"Unused"
   },
   "002E-002F":{
      "Offset":"002E-002F",
      "Length":"0002",
      "Usage":"Heart Containers",
      "Info":"0x10 for each heart"
   },
   "0030-0031":{
      "Offset":"0030-0031",
      "Length":"0002",
      "Usage":"Health",
      "Info":"0x10 for each heart"
   },
   "0032":{
      "Offset":"0032",
      "Length":"0001",
      "Usage":"Magic Meter Size",
      "Flags":{
         "0x0":"None",
         "":"0x2 Double"
      }
   },
   "0033":{
      "Offset":"0033",
      "Length":"0001",
      "Usage":"Magic",
      "Flags":{
         "0x0":"Empty",
         "":"0x60 Double Filled"
      }
   },
   "0034-0035":{
      "Offset":"0034-0035",
      "Length":"0002",
      "Usage":"Rupees"
   },
   "0036-0037":{
      "Offset":"0036-0037",
      "Length":"0002",
      "Usage":"Giant's Knife Amount",
      "Info":"Stores how many attacks you have left before it breaks. It is set to 8 whenever you buy the knife."
   },
   "0038-003D":{
      "Offset":"0038-003D",
      "Length":"0006",
      "Usage":"?"
   },
   "003E":{
      "Offset":"003E",
      "Length":"0001",
      "Usage":"Biggoron Sword Flag",
      "Info":"The Giant's Knife becomes the Biggoron Sword when this byte is set."
   },
   "003F":{
      "Offset":"003F",
      "Length":"0001",
      "Usage":"?"
   },
   "0040-0049":{
      "Offset":"0040-0049",
      "Length":"000A",
      "Usage":"Equipped Data (Stored)",
      "Info":"This is where the game stores your equipment when you change age."
   },
   "0040":{
      "Offset":"0040",
      "Length":"0001",
      "Usage":"B Button Item"
   },
   "0041":{
      "Offset":"0041",
      "Length":"0001",
      "Usage":"C-Left Button Item"
   },
   "0042":{
      "Offset":"0042",
      "Length":"0001",
      "Usage":"C-Down Button Item"
   },
   "0043":{
      "Offset":"0043",
      "Length":"0001",
      "Usage":"C-Right Button Item"
   },
   "0044":{
      "Offset":"0044",
      "Length":"0001",
      "Usage":"C-Left Button Slot"
   },
   "0045":{
      "Offset":"0045",
      "Length":"0001",
      "Usage":"C-Down Button Slot"
   },
   "0046":{
      "Offset":"0046",
      "Length":"0001",
      "Usage":"C-Right Button Slot"
   },
   "0047":{
      "Offset":"0047",
      "Length":"0001",
      "Usage":"Unused"
   },
   "0048":{
      "Offset":"0048",
      "Length":"0001",
      "Usage":"Tunic & Boots"
   },
   "0049":{
      "Offset":"0049",
      "Length":"0001",
      "Usage":"Sword & Shield"
   },
   "004A-0067":{
      "Offset":"004A-0067",
      "Length":"001E",
      "Usage":"?"
   },
   "0068-0071":{
      "Offset":"0068-0071",
      "Length":"000A",
      "Usage":"Equipped Data (Current)",
      "Info":"This is where the game stores your current equipment."
   },
   "0068":{
      "Offset":"0068",
      "Length":"0001",
      "Usage":"B Button Item"
   },
   "0069":{
      "Offset":"0069",
      "Length":"0001",
      "Usage":"C-Left Button Item"
   },
   "006A":{
      "Offset":"006A",
      "Length":"0001",
      "Usage":"C-Down Button Item"
   },
   "006B":{
      "Offset":"006B",
      "Length":"0001",
      "Usage":"C-Right Button Item"
   },
   "006C":{
      "Offset":"006C",
      "Length":"0001",
      "Usage":"C-Left Button Slot"
   },
   "006D":{
      "Offset":"006D",
      "Length":"0001",
      "Usage":"C-Down Button Slot"
   },
   "006E":{
      "Offset":"006E",
      "Length":"0001",
      "Usage":"C-Right Button Slot"
   },
   "006F":{
      "Offset":"006F",
      "Length":"0001",
      "Usage":"Unused"
   },
   "0070":{
      "Offset":"0070",
      "Length":"0001",
      "Usage":"Tunic & Boots",
      "Flags":{
         "0x1":"65",
         "":"0x30 70"
      }
   },
   "0071":{
      "Offset":"0071",
      "Length":"0001",
      "Usage":"Sword & Shield",
      "Flags":{
         "0x1":"59",
         "":"0x30 64"
      }
   },
   "0072-0073":{
      "Offset":"0072-0073",
      "Length":"0002",
      "Usage":"Unused"
   },
   "0074-008B":{
      "Offset":"0074-008B",
      "Length":"0018",
      "Usage":"Item Slot Item",
      "Info":"Stores which items you have on each Item Slot."
   },
   "0074":{
      "Offset":"0074",
      "Length":"0001",
      "Usage":"Deku Stick",
      "Icon":0,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Deku Stick Item Slot Deku Stick Slot"
   },
   "0075":{
      "Offset":"0075",
      "Length":"0001",
      "Usage":"Deku Nut",
      "Icon":1,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Deku Nut Item Slot Deku Nut Slot"
   },
   "0076":{
      "Offset":"0076",
      "Length":"0001",
      "Usage":"Bombs",
      "Icon":2,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Bomb Item Slot Bomb Slot Bombs Item Slot Bombs Slot"
   },
   "0077":{
      "Offset":"0077",
      "Length":"0001",
      "Usage":"Fairy Bow",
      "Icon":3,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Fairy Bow Item Slot Fairy Bow Slot"
   },
   "0078":{
      "Offset":"0078",
      "Length":"0001",
      "Usage":"Fire Arrow",
      "Icon":4,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Fire Arrow Item Slot Fire Arrow Slot"
   },
   "0079":{
      "Offset":"0079",
      "Length":"0001",
      "Usage":"Din's Fire",
      "Icon":5,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Din's Fire Item Slot Din's Fire Slot"
   },
   "007A":{
      "Offset":"007A",
      "Length":"0001",
      "Usage":"Fairy Slingshot",
      "Icon":6,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Fairy Slingshot Item Slot Fairy Slingshot slot"
   },
   "007B":{
      "Offset":"007B",
      "Length":"0001",
      "Usage":"Ocarina",
      "Icon":8,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Ocarina Item Slot Ocarina Slot Ocarina of Time Item Slot Ocarina of Time slot Fairy Ocarina Item Slot Fairy Ocarina Slot OoT Item Slot OoT Slot"
   },
   "007C":{
      "Offset":"007C",
      "Length":"0001",
      "Usage":"Bombchus",
      "Icon":9,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Chus Item Slot Chu Item Slot Bombchu Item Slot Bombchu Slot Chu Slot Chus Slot Bombchus Item Slot Bombchus Slot"
   },
   "007D":{
      "Offset":"007D",
      "Length":"0001",
      "Usage":"Hook/longshot",
      "Icon":11,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Hookshot Item Slot Hookshot Slot Longshot Item Slot Longshot Slot"
   },
   "007E":{
      "Offset":"007E",
      "Length":"0001",
      "Usage":"Ice Arrow",
      "Icon":12,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Ice Arrow Item Slot Ice Arrow Slot IA Item Slot IA Slot"
   },
   "007F":{
      "Offset":"007F",
      "Length":"0001",
      "Usage":"Farore's Wind",
      "Icon":13,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Farore's Wind Item Slot FW Farore's Wind Item Slot FW Item Slot FW Slot"
   },
   "0080":{
      "Offset":"0080",
      "Length":"0001",
      "Usage":"Boomerang",
      "Icon":14,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Boomerang Item Slot Boomerang Slot"
   },
   "0081":{
      "Offset":"0081",
      "Length":"0001",
      "Usage":"Lens of Truth",
      "Icon":15,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Lens Item Slot Lens Slot Lens of Truth Item Slot Lens of Truth Slot"
   },
   "0082":{
      "Offset":"0082",
      "Length":"0001",
      "Usage":"Magic Beans",
      "Icon":16,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Magic Beans Item Slot Magic Beans Slot Bean Item Slot Bean slot"
   },
   "0083":{
      "Offset":"0083",
      "Length":"0001",
      "Usage":"Megaton Hammer",
      "Icon":17,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Megaton Hammer Item Slot Megaton Hammer Slot"
   },
   "0084":{
      "Offset":"0084",
      "Length":"0001",
      "Usage":"Light Arrow",
      "Icon":18,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Light Arrow Item Slot Light Arrow Slot LA Item Slot LA Slot"
   },
   "0085":{
      "Offset":"0085",
      "Length":"0001",
      "Usage":"Nayru's Love",
      "Icon":19,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Nayru's Love Item Slot Nayru's Love Slot"
   },
   "0086":{
      "Offset":"0086",
      "Length":"0001",
      "Usage":"Bottle #1",
      "Icon":20,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Bottle1 Item Slot Bottle1 Slot Bottle 1 Item Slot Bottle 1 Slot Bottle #1 Item Slot Bottle #1 Slot Bottle Slot Bottle Item Slot"
   },
   "0087":{
      "Offset":"0087",
      "Length":"0001",
      "Usage":"Bottle #2",
      "Icon":20,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Bottle2 Item Slot Bottle2 Slot Bottle 2 Item Slot Bottle 2 Slot Bottle #2 Item Slot Bottle #2 Slot Bottle Slot Bottle Item Slot"
   },
   "0088":{
      "Offset":"0088",
      "Length":"0001",
      "Usage":"Bottle #3",
      "Icon":20,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Bottle3 Item Slot Bottle3 Slot Bottle 3 Item Slot Bottle 3 Slot Bottle #3 Item Slot Bottle #3 Slot Bottle Slot Bottle Item Slot"
   },
   "0089":{
      "Offset":"0089",
      "Length":"0001",
      "Usage":"Bottle #4",
      "Icon":20,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Bottle4 Item Slot Bottle4 Slot Bottle 4 Item Slot Bottle 4 Slot Bottle #4Item Slot Bottle #4 Slot Bottle Slot Bottle Item Slot"
   },
   "008A":{
      "Offset":"008A",
      "Length":"0001",
      "Usage":"Adult Trade Item",
      "Icon":55,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Adult Trade Item Slot Adult Trade Slot"
   },
   "008B":{
      "Offset":"008B",
      "Length":"0001",
      "Usage":"Child Trade Item",
      "Icon":35,
      "Value":"o[Usage] slot icon[o[Icon]] is set to i[Name] icon[i[ID]]",
      "Search":"Child Trade Item Slot Child Trade Slot"
   },
   "008C-009A":{
      "Offset":"008C-009A",
      "Length":"000F",
      "Usage":"Item Slot Amount",
      "Info":"Stores how many you have of each item."
   },
   "008C":{
      "Offset":"008C",
      "Length":"0001",
      "Usage":"Deku Stick",
      "Icon":0,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Deku Stick Amount"
   },
   "008D":{
      "Offset":"008D",
      "Length":"0001",
      "Usage":"Deku Nut",
      "Icon":1,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Deku Nut Amount"
   },
   "008E":{
      "Offset":"008E",
      "Length":"0001",
      "Usage":"Bomb",
      "Icon":2,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Bomb Amount Bombs"
   },
   "008F":{
      "Offset":"008F",
      "Length":"0001",
      "Usage":"Fairy Bow",
      "Icon":3,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Arrow Amount Arrows Amount Fairy Bow Amount"
   },
   "0090":{
      "Offset":"0090",
      "Length":"0001",
      "Usage":"Fire Arrow",
      "Info":"Unused.",
      "Icon":4,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Fire Arrow Amount"
   },
   "0091":{
      "Offset":"0091",
      "Length":"0001",
      "Usage":"Din's Fire",
      "Info":"Unused.",
      "Icon":5,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Din's Fire Amount"
   },
   "0092":{
      "Offset":"0092",
      "Length":"0001",
      "Usage":"Fairy Slingshot",
      "Icon":6,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Fairy Slingshot Amount Deku Seeds"
   },
   "0093":{
      "Offset":"0093",
      "Length":"0001",
      "Usage":"Ocarina",
      "Info":"Unused.",
      "Icon":8,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Ocarina Amount"
   },
   "0094":{
      "Offset":"0094",
      "Length":"0001",
      "Usage":"Bombchu",
      "Icon":9,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Bombchu Amount Bombchus chus"
   },
   "0095":{
      "Offset":"0095",
      "Length":"0001",
      "Usage":"Hook/longshot",
      "Info":"Unused.",
      "Icon":11,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Hook/longshot Amount"
   },
   "0096":{
      "Offset":"0096",
      "Length":"0001",
      "Usage":"Ice Arrow",
      "Info":"Unused.",
      "Icon":12,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Ice Arrow Amount"
   },
   "0097":{
      "Offset":"0097",
      "Length":"0001",
      "Usage":"Farore's Wind",
      "Info":"Unused.",
      "Icon":13,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Farore's Wind Amount"
   },
   "0098":{
      "Offset":"0098",
      "Length":"0001",
      "Usage":"Boomerang",
      "Info":"Unused.",
      "Icon":14,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Boomerang Amount"
   },
   "0099":{
      "Offset":"0099",
      "Length":"0001",
      "Usage":"Lens of Truth",
      "Info":"Unused.",
      "Icon":15,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Lens of Truth Amount"
   },
   "009A":{
      "Offset":"009A",
      "Length":"0001",
      "Usage":"Magic Beans",
      "Icon":16,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]",
      "Search":"Magic Bean Amount Beans"
   },
   "009B":{
      "Offset":"009B",
      "Length":"0001",
      "Usage":"Magic Beans Available",
      "Info":"The amount of Magic Beans available for purchase.",
      "Icon":16,
      "Value":"You can buy max[0,m[9-i[ID]]] more Beans icon[o[Icon]] Cost is set to m[i[ID]*10+10] icon[rupee]",
      "Search":"Magic Beans Available"
   },
   "009C-00A3":{
      "Offset":"009C-00A3",
      "Length":"0008",
      "Usage":"Equipment Data"
   },
   "009C":{
      "Offset":"009C",
      "Length":"0001",
      "Usage":"Tunic & Boots",
      "Flags":{
         "0x01":"65",
         "0x02":"66",
         "0x04":"67",
         "0x10":"68",
         "0x20":"69",
         "0x40":"70"
      },
      "Search":"Kokiri Tunic Goron Tunic Zora Tunic Kokiri Boots has Iron Boots flag has Hover Boots flag have iron boots flag have hover boots flag Tunic & Boots tunic and boots"
   },
   "009D":{
      "Offset":"009D",
      "Length":"0001",
      "Usage":"Sword & Shield",
      "Flags":{
         "0x01":"59",
         "0x02":"60",
         "0x04":"61",
         "0x0C":"85",
         "0x10":"62",
         "0x20":"63",
         "0x40":"64"
      },
      "Search":"Kokiri Sword Master Sword Biggoron Sword Giant's Knife Deku Shield Hylian Shield Mirror Shield Sword & Shield sword and shield"
   },
   "009E-00A0":{
      "Offset":"009E-00A0",
      "Length":"0003",
      "Usage":"Unused"
   },
   "00A1":{
      "Offset":"00A1",
      "Length":"0001",
      "Usage":"Deku Stick & Nut Capacity",
      "Value":"mix[b]<br>wrap[Deku Stick Capacity,highlight] is set to u[6]<br>wrap[Deku Nut Capacity,highlight] is set to u[7]<br>",
      "Search":"Deku Stick (10) Deku Stick (20) Deku Stick (30) Deku Nut (20) Deku Nut (30) Deku Nut (40) Deku Stick Capacity Deku Nut Capacity Deku Stick & Nut Capacity Deku Stick and Nut Capacity"
   },
   "00A2":{
      "Offset":"00A2",
      "Length":"0001",
      "Usage":"Dive Meter, Wallet & Bullet Bag",
      "Value":"mix[s]<br>wrap[Dive Meter,highlight] is set to u[3]<br>wrap[Wallet,highlight] is set to u[4]<br>wrap[Bullet Bag,highlight] is set to u[5]",
      "Search":"Silver Scale Gold Scale Adult's Wallet (200) Giant's Wallet (500) Bullet Bag (30) Big Bullet Bag (40) Biggest Bullet Bag (50) Diver Meter Dive Meter Golden Scale"
   },
   "00A3":{
      "Offset":"00A3",
      "Length":"0001",
      "Usage":"Quiver, Bomb Bag & Strength",
      "Value":"wrap[Quiver,highlight] is set to u[0]<br>wrap[Bomb Bag,highlight] is set to u[1]<br>wrap[Strength Upgrade,highlight] is set to u[2]",
      "Search":"Quiver (30) Big Quiver Quiver (40) Biggest Quiver (50) Bomb Bag (20) Big Bomb Bag (30) Biggest Bomb Bag (40) Goron Bracelet Silver Gauntlets Golden Gauntlets Strength Upgrade gaunts"
   },
   "00A4-00A7":{
      "Offset":"00A4-00A7",
      "Length":"0004",
      "Usage":"Quest Status Data"
   },
   "00A4":{
      "Offset":"00A4",
      "Length":"0001",
      "Usage":"Heart Pieces",
      "Flags":{
         "0x0":"0 Heart Pieces",
         "":"0x30 3 Heart Pieces"
      },
      "Icon":114,
      "Value":"Heart Piece count icon[o[Icon]] is set to floor[m[i[ID]/16]]",
      "Search":"Heart Pieces piece of hearts pieces of heart"
   },
   "00A5":{
      "Offset":"00A5",
      "Length":"0001",
      "Usage":"Songs, Spiritual Stones & Gear",
      "Flags":{
         "0x01":"100",
         "0x02":"101",
         "0x04":"108",
         "0x08":"109",
         "0x10":"110",
         "0x20":"111",
         "0x40":"112",
         "0x80":"113"
      },
      "Search":"Song of Time Song of Storms Kokiri's Emerald Goron's Ruby Zora's Sapphire Stone of Agony Gerudo's Card Golden Skull Token Display Golden Skulltula Display SoT, SoS, Spiritual Stones & Gear GS Display Flag "
   },
   "00A6":{
      "Offset":"00A6",
      "Length":"0001",
      "Usage":"Songs",
      "Flags":{
         "0x01":"92",
         "0x02":"93",
         "0x04":"94",
         "0x08":"95",
         "0x10":"96",
         "0x20":"97",
         "0x40":"98",
         "0x80":"99"
      },
      "Search":"Serenade of Water Requiem of Spirit Nocturne of Shadow Prelude of Light Zelda's Lullaby Epona's Song Saria's Song Sun's Song Songs SoW RoF NoS PoL ZL ES SS"
   },
   "00A7":{
      "Offset":"00A7",
      "Length":"0001",
      "Usage":"Medallions & Songs",
      "Flags":{
         "0x01":"102",
         "0x02":"103",
         "0x04":"104",
         "0x08":"105",
         "0x10":"106",
         "0x20":"107",
         "0x40":"90",
         "0x80":"91"
      },
      "Search":"Forest Medallion Fire Medallion Water Medallion Spirit Medallion Shadow Medallion Light Medallion Minuet of Forest Bolero of Fire Medallions, Minuet & Bolero MoF BoF"
   },
   "00A8-00BB":{
      "Offset":"00A8-00BB",
      "Length":"0014",
      "Usage":"Dungeon Items",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00A8":{
      "Offset":"00A8",
      "Length":"0001",
      "Usage":"Deku Tree",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Deku Tree Items Deku Tree Dungeon Items"
   },
   "00A9":{
      "Offset":"00A9",
      "Length":"0001",
      "Usage":"Dodongo's Cavern",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Dodongo's Cavern Items Dodongo's Cavern Dungeon Items"
   },
   "00AA":{
      "Offset":"00AA",
      "Length":"0001",
      "Usage":"Jabu-Jabu's Belly",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Jabu-Jabu's Belly Items Jabu-Jabu's Belly Dungeon Items"
   },
   "00AB":{
      "Offset":"00AB",
      "Length":"0001",
      "Usage":"Forest Temple",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Forest Temple Items Forest Temple Dungeon Items"
   },
   "00AC":{
      "Offset":"00AC",
      "Length":"0001",
      "Usage":"Fire Temple",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Fire Temple Items Fire Temple Dungeon Items"
   },
   "00AD":{
      "Offset":"00AD",
      "Length":"0001",
      "Usage":"Water Temple",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Water Temple Items Water Temple Dungeon Items"
   },
   "00AE":{
      "Offset":"00AE",
      "Length":"0001",
      "Usage":"Spirit Temple",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Spirit Temple Items Spirit Temple Dungeon Items"
   },
   "00AF":{
      "Offset":"00AF",
      "Length":"0001",
      "Usage":"Shadow Temple",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Shadow Temple Items Shadow Temple Dungeon Items"
   },
   "00B0":{
      "Offset":"00B0",
      "Length":"0001",
      "Usage":"Bottom of the Well",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Bottom of the Well Items Bottom of the Well Dungeon Items"
   },
   "00B1":{
      "Offset":"00B1",
      "Length":"0001",
      "Usage":"Ice Cavern",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Ice Cavern Items Ice Cavern Dungeon Items"
   },
   "00B2":{
      "Offset":"00B2",
      "Length":"0001",
      "Usage":"Ganon's Castle (Second Part)",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      },
      "Search":"Ganon's Castle Items Ganon's Castle Dungeon Items"
   },
   "00B3":{
      "Offset":"00B3",
      "Length":"0001",
      "Usage":"Gerudo Training Ground",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B4":{
      "Offset":"00B4",
      "Length":"0001",
      "Usage":"Gerudo Fortress",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B5":{
      "Offset":"00B5",
      "Length":"0001",
      "Usage":"Ganon's Castle (First Part)",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B6":{
      "Offset":"00B6",
      "Length":"0001",
      "Usage":"Ganon's Castle (Floor beneath boss chamber)",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B7":{
      "Offset":"00B7",
      "Length":"0001",
      "Usage":"Ganon's Castle (Crumbling)",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B8":{
      "Offset":"00B8",
      "Length":"0001",
      "Usage":"Treasure Chest Shop",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00B9":{
      "Offset":"00B9",
      "Length":"0001",
      "Usage":"Deku Tree Boss Room",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00BA":{
      "Offset":"00BA",
      "Length":"0001",
      "Usage":"Dodongo's Cavern Boss Room",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00BB":{
      "Offset":"00BB",
      "Length":"0001",
      "Usage":"Jabu-Jabu's Belly Boss Room",
      "Info":"Unused.",
      "Flags":{
         "0x01":"116",
         "0x02":"117",
         "0x04":"118"
      }
   },
   "00BC-00CF":{
      "Offset":"00BC-00CF",
      "Length":"0014",
      "Usage":"Small Key Amount",
      "Info":"0xFF Don't display keys"
   },
   "00BC":{
      "Offset":"00BC",
      "Length":"0001",
      "Usage":"Deku Tree",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Deku Tree Small Key Amount"
   },
   "00BD":{
      "Offset":"00BD",
      "Length":"0001",
      "Usage":"Dodongo's Cavern",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Dodongo's Cavern Small Key Amount"
   },
   "00BE":{
      "Offset":"00BE",
      "Length":"0001",
      "Usage":"Jabu-Jabu's Belly",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Jabu-Jabu's Belly Small Key Amount"
   },
   "00BF":{
      "Offset":"00BF",
      "Length":"0001",
      "Usage":"Forest Temple",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Forest Temple Small Key Amount"
   },
   "00C0":{
      "Offset":"00C0",
      "Length":"0001",
      "Usage":"Fire Temple",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Fire Temple Small Key Amount"
   },
   "00C1":{
      "Offset":"00C1",
      "Length":"0001",
      "Usage":"Water Temple",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Water Temple Small Key Amount"
   },
   "00C2":{
      "Offset":"00C2",
      "Length":"0001",
      "Usage":"Spirit Temple",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Spirit Temple Small Key Amount"
   },
   "00C3":{
      "Offset":"00C3",
      "Length":"0001",
      "Usage":"Shadow Temple",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Shadow Temple Small Key Amount"
   },
   "00C4":{
      "Offset":"00C4",
      "Length":"0001",
      "Usage":"Bottom of the Well",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Bottom of the Well Small Key Amount"
   },
   "00C5":{
      "Offset":"00C5",
      "Length":"0001",
      "Usage":"Ice Cavern",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Ice Cavern Small Key Amount"
   },
   "00C6":{
      "Offset":"00C6",
      "Length":"0001",
      "Usage":"Ganon's Castle (Second Part)",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00C7":{
      "Offset":"00C7",
      "Length":"0001",
      "Usage":"Gerudo Training Ground",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Gerudo Training Ground Small Key Amount"
   },
   "00C8":{
      "Offset":"00C8",
      "Length":"0001",
      "Usage":"Gerudo Fortress",
      "Info":"Keys only work on the appropriate cells.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Gerudo Fortress Small Key Amount"
   },
   "00C9":{
      "Offset":"00C9",
      "Length":"0001",
      "Usage":"Ganon's Castle (First Part)",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Ganon's Castle Small Key Amount"
   },
   "00CA":{
      "Offset":"00CA",
      "Length":"0001",
      "Usage":"Ganon's Castle (Floor beneath boss chamber)",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00CB":{
      "Offset":"00CB",
      "Length":"0001",
      "Usage":"Ganon's Castle (Crumbling)",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00CC":{
      "Offset":"00CC",
      "Length":"0001",
      "Usage":"Treasure Chest Shop",
      "Info":"This byte is set to 0xFF whenever you enter the Treasure Chest Shop.",
      "Value":"o[Usage] small key amount is set to i[ID]",
      "Search":"Treasure Chest Shop Small Key Amount"
   },
   "00CD":{
      "Offset":"00CD",
      "Length":"0001",
      "Usage":"Deku Tree Boss Room",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00CE":{
      "Offset":"00CE",
      "Length":"0001",
      "Usage":"Dodongo's Cavern Boss Room",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00CF":{
      "Offset":"00CF",
      "Length":"0001",
      "Usage":"Jabu-Jabu's Belly Boss Room",
      "Info":"Unused.",
      "Value":"o[Usage] small key amount is set to i[ID]"
   },
   "00D0-00D1":{
      "Offset":"00D0-00D1",
      "Length":"0002",
      "Usage":"Gold Skulltula Token",
      "Info":"Byte 0x00A5 must have bit 0x80 set in order for the Golden Skull Token amount to be displayed on the quest status screen",
      "Icon":113,
      "Value":"o[Usage] amount icon[o[Icon]] is set to i[ID]"
   },
   "00D2-00D3":{
      "Offset":"00D2-00D3",
      "Length":"0002",
      "Usage":"?"
   },
   "00D4-0BDF":{
      "Offset":"00D4-0BDF",
      "Length":"0B0C",
      "Usage":"Scene Data Records",
      "Info":"There's one record for every scene. Each record has a length of 0x1C bytes."
   },
   "0BE0-0E63":{
      "Offset":"0BE0-0E63",
      "Length":"0284",
      "Usage":"?"
   },
   "0E64-0E83":{
      "Offset":"0E64-0E83",
      "Length":"0020",
      "Usage":"Farore's Wind Data",
      "Info":"Stores all the data for the Farore's Wind warp point."
   },
   "0E64-0E67":{
      "Offset":"0E64-0E67",
      "Length":"0004",
      "Usage":"X Coordinate"
   },
   "0E68-0E6B":{
      "Offset":"0E68-0E6B",
      "Length":"0004",
      "Usage":"Y Coordinate"
   },
   "0E6C-0E6F":{
      "Offset":"0E6C-0E6F",
      "Length":"0004",
      "Usage":"Z Coordinate"
   },
   "0E70-0E73":{
      "Offset":"0E70-0E73",
      "Length":"0004",
      "Usage":"Y-Axis Rotation"
   },
   "0E74-0E77":{
      "Offset":"0E74-0E77",
      "Length":"0004",
      "Usage":"?"
   },
   "0E78-0E7B":{
      "Offset":"0E78-0E7B",
      "Length":"0004",
      "Usage":"Entrance Index"
   },
   "0E7C-0E7F":{
      "Offset":"0E7C-0E7F",
      "Length":"0004",
      "Usage":"Map Index"
   },
   "0E80-0E83":{
      "Offset":"0E80-0E83",
      "Length":"0004",
      "Usage":"Is Set",
      "Flags":{
         "0x0":"False",
         "":"0x1 True"
      }
   },
   "0E84-0E9B":{
      "Offset":"0E84-0E9B",
      "Length":"0018",
      "Usage":"?"
   },
   "0E9C-0EB3":{
      "Offset":"0E9C-0EB3",
      "Length":"0018",
      "Usage":"Skulltula Flags",
      "Info":"Stores which skulltulas you've collected. One byte for each dungeon and section of the world map."
   },
   "0E9C":{
      "Offset":"0E9C",
      "Length":"0001",
      "Usage":"Forest Temple"
   },
   "0E9D":{
      "Offset":"0E9D",
      "Length":"0001",
      "Usage":"Jabu-Jabu's Belly"
   },
   "0E9E":{
      "Offset":"0E9E",
      "Length":"0001",
      "Usage":"Dodongo's Cavern"
   },
   "0E9F":{
      "Offset":"0E9F",
      "Length":"0001",
      "Usage":"Deku Tree"
   },
   "0EA0":{
      "Offset":"0EA0",
      "Length":"0001",
      "Usage":"Shadow Temple"
   },
   "0EA1":{
      "Offset":"0EA1",
      "Length":"0001",
      "Usage":"Spirit Temple"
   },
   "0EA2":{
      "Offset":"0EA2",
      "Length":"0001",
      "Usage":"Water Temple"
   },
   "0EA3":{
      "Offset":"0EA3",
      "Length":"0001",
      "Usage":"Fire Temple"
   },
   "0EA4":{
      "Offset":"0EA4",
      "Length":"0001",
      "Usage":"Lon Lon Ranch"
   },
   "0EA5":{
      "Offset":"0EA5",
      "Length":"0001",
      "Usage":"Hyrule Field"
   },
   "0EA6":{
      "Offset":"0EA6",
      "Length":"0001",
      "Usage":"Ice Cavern"
   },
   "0EA7":{
      "Offset":"0EA7",
      "Length":"0001",
      "Usage":"Bottom of the Well"
   },
   "0EA8":{
      "Offset":"0EA8",
      "Length":"0001",
      "Usage":"Death Mountain"
   },
   "0EA9":{
      "Offset":"0EA9",
      "Length":"0001",
      "Usage":"Market"
   },
   "0EAA":{
      "Offset":"0EAA",
      "Length":"0001",
      "Usage":"Lost Woods"
   },
   "0EAB":{
      "Offset":"0EAB",
      "Length":"0001",
      "Usage":"Kokiri Forest"
   },
   "0EAC":{
      "Offset":"0EAC",
      "Length":"0001",
      "Usage":"Gerudo Valley"
   },
   "0EAD":{
      "Offset":"0EAD",
      "Length":"0001",
      "Usage":"Lake Hylia"
   },
   "0EAE":{
      "Offset":"0EAE",
      "Length":"0001",
      "Usage":"Zora's Domain"
   },
   "0EAF":{
      "Offset":"0EAF",
      "Length":"0001",
      "Usage":"Kakariko Village"
   },
   "0EB0-0EB1":{
      "Offset":"0EB0-0EB1",
      "Length":"0002",
      "Usage":"Unused"
   },
   "0EB2":{
      "Offset":"0EB2",
      "Length":"0001",
      "Usage":"Haunted Wasteland"
   },
   "0EB3":{
      "Offset":"0EB3",
      "Length":"0001",
      "Usage":"Gerudo's Fortress"
   },
   "0EB4-0EB7":{
      "Offset":"0EB4-0EB7",
      "Length":"0004",
      "Usage":"?"
   },
   "0EB8-0EBB":{
      "Offset":"0EB8-0EBB",
      "Length":"0004",
      "Usage":"Horseback Archery Highscore"
   },
   "0EBC-0EC3":{
      "Offset":"0EBC-0EC3",
      "Length":"0008",
      "Usage":"?"
   },
   "0EC4-0EC7":{
      "Offset":"0EC4-0EC7",
      "Length":"0004",
      "Usage":"Horse Race Record Time",
      "Info":"Stored in seconds."
   },
   "0EC8-0ECB":{
      "Offset":"0EC8-0ECB",
      "Length":"0004",
      "Usage":"Marathon Record Time",
      "Info":"Stored in seconds."
   },
   "0ECC-0ED3":{
      "Offset":"0ECC-0ED3",
      "Length":"0008",
      "Usage":"?"
   },
   "0ED4-0???":{
      "Offset":"0ED4-0???",
      "Length":"????",
      "Usage":"Event Flags"
   },
   "0???-0F37":{
      "Offset":"0???-0F37",
      "Length":"????",
      "Usage":"?"
   },
   "0F38-0F3B":{
      "Offset":"0F38-0F3B",
      "Length":"0004",
      "Usage":"World Map Exploration Data"
   },
   "0F3C-0F3F":{
      "Offset":"0F3C-0F3F",
      "Length":"0004",
      "Usage":"?"
   },
   "0F40-12A3":{
      "Offset":"0F40-12A3",
      "Length":"0364",
      "Usage":"Scarecrow's Song (Long)"
   },
   "12A4-12C3":{
      "Offset":"12A4-12C3",
      "Length":"0020",
      "Usage":"Unused?"
   },
   "12C4-1343":{
      "Offset":"12C4-1343",
      "Length":"0080",
      "Usage":"Scarecrow's Song (8 Notes)"
   },
   "1344-1347":{
      "Offset":"1344-1347",
      "Length":"0004",
      "Usage":"?",
      "Info":"It is read when changing Scarecrow's Song"
   }
};